@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;600&display=swap');
/*!
 * ress.css • v4.0.0
 * MIT License
 * github.com/filipelinhares/ress
 */

/* # =================================================================
   # Global selectors
   # ================================================================= */

html {
    box-sizing: border-box;
    -webkit-text-size-adjust: 100%; /* Prevent adjustments of font size after orientation changes in iOS */
    word-break: normal;
    -moz-tab-size: 4;
    tab-size: 4;
}

*,
::before,
::after {
    background-repeat: no-repeat; /* Set `background-repeat: no-repeat` to all elements and pseudo elements */
    box-sizing: inherit;
}

::before,
::after {
    text-decoration: inherit; /* Inherit text-decoration and vertical align to ::before and ::after pseudo elements */
    vertical-align: inherit;
}

* {
    padding: 0; /* Reset `padding` and `margin` of all elements */
    margin: 0;
}

/* # =================================================================
   # General elements
   # ================================================================= */

hr {
    overflow: visible; /* Show the overflow in Edge and IE */
    height: 0; /* Add the correct box sizing in Firefox */
    color: inherit; /* Correct border color in Firefox. */
}

details,
main {
    display: block; /* Render the `main` element consistently in IE. */
}

summary {
    display: list-item; /* Add the correct display in all browsers */
}

small {
    font-size: 80%; /* Set font-size to 80% in `small` elements */
}

[hidden] {
    display: none; /* Add the correct display in IE */
}

abbr[title] {
    border-bottom: none; /* Remove the bottom border in Chrome 57 */
    /* Add the correct text decoration in Chrome, Edge, IE, Opera, and Safari */
    text-decoration: underline;
    text-decoration: underline dotted;
}

a {
    background-color: transparent; /* Remove the gray background on active links in IE 10 */
}

a:active,
a:hover {
    outline-width: 0; /* Remove the outline when hovering in all browsers */
}

code,
kbd,
pre,
samp {
    font-family: monospace, monospace; /* Specify the font family of code elements */
}

pre {
    font-size: 1em; /* Correct the odd `em` font sizing in all browsers */
}

b,
strong {
    font-weight: bolder; /* Add the correct font weight in Chrome, Edge, and Safari */
}

/* https://gist.github.com/unruthless/413930 */
sub,
sup {
    font-size: 75%;
    line-height: 0;
    position: relative;
    vertical-align: baseline;
}
sub {
    bottom: -0.25em;
}
sup {
    top: -0.5em;
}
table {
    border-color: inherit; /* Correct border color in all Chrome, Edge, and Safari. */
    text-indent: 0; /* Remove text indentation in Chrome, Edge, and Safari */
}
input {
    border-radius: 0;
}
/* Replace pointer cursor in disabled elements */
[disabled] {
    cursor: default;
}
[type='number']::-webkit-inner-spin-button,
[type='number']::-webkit-outer-spin-button {
    height: auto; /* Correct the cursor style of increment and decrement buttons in Chrome */
}
[type='search'] {
    -webkit-appearance: textfield; /* Correct the odd appearance in Chrome and Safari */
    outline-offset: -2px; /* Correct the outline style in Safari */
}
[type='search']::-webkit-search-decoration {
    -webkit-appearance: none; /* Remove the inner padding in Chrome and Safari on macOS */
}
textarea {
    overflow: auto; /* Internet Explorer 11+ */
    resize: vertical; /* Specify textarea resizability */
}
button,
input,
optgroup,
select,
textarea {
    font: inherit; /* Specify font inheritance of form elements */
}
optgroup {
    font-weight: bold; /* Restore the font weight unset by the previous rule */
}
button {
    overflow: visible; /* Address `overflow` set to `hidden` in IE 8/9/10/11 */
}
button,
select {
    text-transform: none; /* Firefox 40+, Internet Explorer 11- */
}
/* Apply cursor pointer to button elements */
button,
[type='button'],
[type='reset'],
[type='submit'],
[role='button'] {
    cursor: pointer;
    color: inherit;
}
/* Remove inner padding and border in Firefox 4+ */
button::-moz-focus-inner,
[type='button']::-moz-focus-inner,
[type='reset']::-moz-focus-inner,
[type='submit']::-moz-focus-inner {
    border-style: none;
    padding: 0;
}
/* Replace focus style removed in the border reset above */
button:-moz-focusring,
[type='button']::-moz-focus-inner,
[type='reset']::-moz-focus-inner,
[type='submit']::-moz-focus-inner {
    outline: 1px dotted ButtonText;
}
button,
html [type='button'], /* Prevent a WebKit bug where (2) destroys native `audio` and `video`controls in Android 4 */
[type='reset'],
[type='submit'] {
    -webkit-appearance: button; /* Correct the inability to style clickable types in iOS */
}
/* Remove the default button styling in all browsers */
button,
input,
select,
textarea {
    background-color: transparent;
    border-style: none;
}
a:focus,
button:focus,
input:focus,
select:focus,
textarea:focus {
    outline-width: 0;
}
/* Style select like a standard input */
select {
    -moz-appearance: none; /* Firefox 36+ */
    -webkit-appearance: none; /* Chrome 41+ */
}

select::-ms-expand {
    display: none; /* Internet Explorer 11+ */
}

select::-ms-value {
    color: currentColor; /* Internet Explorer 11+ */
}

legend {
    border: 0; /* Correct `color` not being inherited in IE 8/9/10/11 */
    color: inherit; /* Correct the color inheritance from `fieldset` elements in IE */
    display: table; /* Correct the text wrapping in Edge and IE */
    max-width: 100%; /* Correct the text wrapping in Edge and IE */
    white-space: normal; /* Correct the text wrapping in Edge and IE */
    max-width: 100%; /* Correct the text wrapping in Edge 18- and IE */
}

::-webkit-file-upload-button {
    /* Correct the inability to style clickable types in iOS and Safari */
    -webkit-appearance: button;
    color: inherit;
    font: inherit; /* Change font properties to `inherit` in Chrome and Safari */
}
img {
    border-style: none; /* Remove border when inside `a` element in IE 8/9/10 */
}

progress {
    vertical-align: baseline;
}

/* # =================================================================
   # Accessibility
   # ================================================================= */

/* Specify the progress cursor of updating elements */
[aria-busy='true'] {
    cursor: progress;
}

/* Specify the pointer cursor of trigger elements */
[aria-controls] {
    cursor: pointer;
}

/* Specify the unstyled cursor of disabled, not-editable, or otherwise inoperable elements */
[aria-disabled='true'] {
    cursor: default;
}
/*Обнуление*/
*{padding: 0;margin: 0;border: 0;}
*,*:before,*:after{-moz-box-sizing: border-box;-webkit-box-sizing: border-box;box-sizing: border-box;}
:focus,:active{outline: none;}
a{color: initial}
a:focus,a:active{outline: none;}
nav,header,header,aside{display: block;}
html,body{min-height: 100vh; width:100%;font-size:100%;line-height:1;font-size:14px;-ms-text-size-adjust:100%;-moz-text-size-adjust:100%;-webkit-text-size-adjust:100%;}
input,button,textarea{font-family:inherit;}
input::-webkit-input-placeholder {color:#000}
input::-moz-placeholder {color:#000}
input:-moz-placeholder{color:#000}
input:-ms-input-placeholder{color:#000}
input::-ms-clear{display: none;}
button{cursor: pointer;}
button::-moz-focus-inner {padding:0;border:0;}
a,a:visited{text-decoration: none;}
a {color:#848484;cursor: pointer}
a:hover{text-decoration: none;}
ul li{list-style: none;}
img{vertical-align: top;}
h5,h6{font-size:inherit;font-weight: inherit;}
html{overflow: hidden}
/* /// Обнуление */

/* Works on Chrome, Edge, and Safari */
*::-webkit-scrollbar {
    width: 8px;
    height: 8px;
}*::-webkit-scrollbar-corner {
     display: none;
 }

*::-webkit-scrollbar-track {
    background: none;
}

*::-webkit-scrollbar-thumb {
    background: linear-gradient(to top right, hsl(0, 0%, 12%), hsl(0, 0%, 16%));
    border-radius: 20px;
    border: 1px #262626 solid;
}

.pointer {
    cursor: pointer;
}
.additional-info {
    font-size: 10px; opacity: .6;font-style: italic
}

.container {
    padding: 0 50px;
    width: 100%;
}
html {
    font-family: 'Open Sans', sans-serif;
}
.__title {
    font-weight: bold;
    font-size: 17px;
    line-height: 23px;
    color: rgba(0, 0, 0, 0.75);
}
.table {
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
    font-size: 12px;
    width: 100%;
    .table-wrap {
        display: flex;
        justify-content: flex-start;
        width: 100%;
        overflow-x: auto;
        table {
            width: 100%;
            border-collapse: collapse;
            text-align: center;
            th, td {
                padding:20px 10px;
            }
            th {
                position: relative;
                .icon-wrap {
                    display: inline-flex;
                    flex-direction: column;
                    position: absolute;
                    transform: translate(8px, 2px);
                    img {
                        &:first-child {
                            margin-bottom: 5px;
                        }
                    }
                }
                &:last-child img {
                    position: absolute;
                    top: 50%;
                    left: 50%;
                    transform: translate(-50%, -50%);
                    cursor: pointer;
                    &:last-child {
                        top: 10px;
                    }
                }
                .input-container {
                    position: relative;
                    max-width: 100%;
                    min-width: 120px;
                    margin: 0 auto;
                    input {
                        background: #FFFFFF;
                        border: 1px solid #CCD4DD;
                        box-sizing: border-box;
                        border-radius: 4px;
                        padding: 7px 0;
                        padding-left: 10px;
                        font-weight: initial;
                        color: #848484;
                        margin-top: 5px;
                        width: 100%;
                        max-width: 100%;
                    }
                    &::before {
                        content: '';
                        position: absolute;
                        width: 20px;
                        height: 20px;
                        background: url("../assets/img/general/lupa.svg") center no-repeat;
                        background-size: cover;
                        z-index: 5;
                        right: 15px;
                        top: 12px;
                    }
                }
                .input-container.input-select {
                    position: relative;
                    div {
                        width: 100%;
                        background: #FFFFFF;
                        border: 1px solid #CCD4DD;
                        box-sizing: border-box;
                        border-radius: 4px;
                        padding: 7px 0;
                        padding-left: 10px;
                        font-weight: initial;
                        color: #848484;
                        margin-top: 5px;
                        min-width: 100%;
                        height: 34px;
                    }
                    &::before {
                        content: '';
                        position: absolute;
                        width: 10px;
                        height: 5px;
                        background: url("../assets/img/general/menu-select.svg") center no-repeat;
                        background-size: cover;
                        z-index: 5;
                        right: 15px;
                        top: 15px;
                    }
                }
            }
            tr {
                border-bottom: 1px solid #CCD4DD;
                position: relative;
                &:hover {
                    background: #ccd4dd4a;
                }
            }
            td {
                position: relative;
                img {
                    position: absolute;
                    top: 50%;
                    left: 50%;
                    transform: translate(-50%, -50%);
                    cursor: pointer;
                    &:hover {
                        transform: translate(-50%, -50%)scale(1.2);
                    }
                }
                &:last-child {
                    display: flex;
                    img {
                        position: initial;
                        height: 100%;
                        transform: translate(0);
                        margin: 0 10px;
                        width: 24px;
                        background-color: rgba(49, 131, 255, 0.12);
                        padding: 5px;
                        border-radius: 15px;
                        &:hover {
                            transform: scale(1.2);
                        }
                    }
                }
            }
            th:first-child, td:first-child {
                text-align: left;
            }
        }
    }
    .table-footer {
        margin: 20px 0;
        .table-footer-wrap {
            @media (max-width: 420px) {
                flex-wrap: wrap;
                &:nth-child(1) .col {
                    min-width: 100px;
                }
                &:nth-child(2) .col {
                    float: right;
                }
            }
            .select-wrap {
                position: relative;
                select {
                    border: 1px solid #CCD4DD;
                    box-sizing: border-box;
                    border-radius: 4px;
                    color: rgba(0, 0, 0, 0.3);
                    margin: 0 10px;
                    padding: 6px;
                    padding-right: 30px;
                }
                &:before {
                    content: '';
                    position: absolute;
                    right: 20px;
                    top: calc(50% - 4px);
                    width: 13px;
                    height: 7px;
                    background: url("../assets/img/general/menu-select.svg") center no-repeat;
                    background-size: cover;
                    z-index: 10;
                }
                &._active {
                    &:before {
                        transform: rotate(180deg);
                    }
                }
            }
            .text-center {
                .pagination {
                    display: flex;
                    ul {
                        display: flex;
                        justify-content: space-between;
                        li {
                            display: flex;
                            align-items: center;
                            justify-content: center;
                            background: linear-gradient(0deg, rgba(49, 131, 255, 0.12), rgba(49, 131, 255, 0.12)), #FFFFFF;
                            border-radius: 100px;
                            margin: 0 5px;
                            width: 30px;
                            height: 30px;
                        }
                    }
                }
            }
        }
    }
}
.contact {
    background-color: #FFAD62;
    color: #FFFFFF;
    padding: 3px 10px;
    border-radius: 5px;
}
.color-red {
    color:#FF7B7B;
}
.color-blue {
    color: #3183FF;
}

i {
    cursor: pointer;
}
input[type=text] {
    color: #000000;
}
input::-moz-placeholder { color: rgba(0, 0, 0, 0.3); }
input::-webkit-input-placeholder { color: rgba(0, 0, 0, 0.3); }
